parameters:
  env(VARNISH_URL): ''

api_platform:
  mapping:
    paths: ['%kernel.project_dir%/src/Entity']
  title: Cases
  version: 0.19.0
  collection:
    pagination:
      page_parameter_name: _page
      items_per_page_parameter_name: _limit
      client_items_per_page: true
      items_per_page: 10
      maximum_items_per_page: 100
  http_cache:
    invalidation:
      enabled: false
    max_age: 0
    shared_max_age: 3600
    vary: ['Content-Type', 'Authorization']
    public: true

services:
  app.filter.case.search:
    parent: api_platform.doctrine.orm.search_filter
    arguments:
      - id: exact
        uuid: exact
        customId: exact
        owner: exact
        ownerUuid: exact
        identity: exact
        identityUuid: exact
        state: exact
    tags:
      - { name: api_platform.filter, id: app.case.search }

  app.filter.case.search_translation:
    parent: ds_translation.doctrine.orm.filter.search
    arguments:
      - title: ipartial
    tags:
      - { name: api_platform.filter, id: app.case.search_translation }

  app.filter.case.date:
    parent: api_platform.doctrine.orm.date_filter
    arguments:
      - createdAt: ~
        updatedAt: ~
        deletedAt: ~
    tags:
      - { name: api_platform.filter, id: app.case.date }

  app.filter.case.order:
    parent: api_platform.doctrine.orm.order_filter
    arguments:
      - id: ~
        createdAt: ~
        updatedAt: ~
        deletedAt: ~
        owner: ~
        identity: ~
        state: ~
    tags:
      - { name: api_platform.filter, id: app.case.order }

  app.filter.case_status.search:
    parent: api_platform.doctrine.orm.search_filter
    arguments:
      - id: exact
        uuid: exact
        owner: exact
        ownerUuid: exact
        identity: exact
        identityUuid: exact
        case.uuid: exact
        case.customId: exact
    tags:
      - { name: api_platform.filter, id: app.case_status.search }

  app.filter.case_status.search_translation:
    parent: ds_translation.doctrine.orm.filter.search
    arguments:
      - title: ipartial
        description: ipartial
    tags:
      - { name: api_platform.filter, id: app.case_status.search_translation }

  app.filter.case_status.date:
    parent: api_platform.doctrine.orm.date_filter
    arguments:
      - createdAt: ~
        updatedAt: ~
        deletedAt: ~
    tags:
      - { name: api_platform.filter, id: app.case_status.date }

  app.filter.case_status.order:
    parent: api_platform.doctrine.orm.order_filter
    arguments:
      - id: ~
        createdAt: ~
        updatedAt: ~
        deletedAt: ~
        owner: ~
        identity: ~
    tags:
      - { name: api_platform.filter, id: app.case_status.order }
